Method: networks.lineItems.creatives.batchCreate

Creates LineItemCreativeAssociation objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/creatives:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where LineItemCreativeAssociations will be created. This request supports using the "-" character as a wildcard for resources that span across multiple LineItem parents. Format: networks/{networkCode}/lineItems/{lineItemId} Format: networks/{networkCode}/lineItems/-

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateLineItemCreativeAssociationRequest)
    }
  ]
}
Fields
requests[]

object (CreateLineItemCreativeAssociationRequest)

Required. The LineItemCreativeAssociation objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for creatives.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "lineItemCreativeAssociations": [
    {
      object (LineItemCreativeAssociation)
    }
  ]
}
Fields
lineItemCreativeAssociations[]

object (LineItemCreativeAssociation)

The LineItemCreativeAssociation objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateLineItemCreativeAssociationRequest

Request object for creatives.create method.

JSON representation
{
  "parent": string,
  "lineItemCreativeAssociation": {
    object (LineItemCreativeAssociation)
  }
}
Fields
parent

string

Required. The parent resource where this LineItemCreativeAssociation will be created. Format: networks/{networkCode}/lineItems/{lineItemId}

lineItemCreativeAssociation

object (LineItemCreativeAssociation)

Required. The LineItemCreativeAssociation to create.